      real function  adx(x,n)
*     (Adjust exponent of x)
*     [14-Nov-1990]
      real x, wf
      integer n, olde, wi

*     Force storage overlay so we can twiddle bits
      equivalence (wi, wf)

      wf = x

*     Extract old exponent
      olde = and(rshift(wi,23),z'ff')

*     Increment old exponent
      olde = and(olde + n,z'ff')

*     Zero the exponent field
      wi = and(wi,z'807fffff')

*     Or in the new exponent
      wi = or(wi,lshift(olde,23))

      adx = wf

      end
